summaryrefslogtreecommitdiffstats
path: root/network/opera/opera.SlackBuild
diff options
context:
space:
mode:
author Martin Lefebvre2010-05-11 15:01:33 +0200
committer Robby Workman2010-05-11 15:01:33 +0200
commit642d0fa784341d39a8ef761728ab6c401db41d69 (patch)
tree52686891776eb5501ee9b567bf5f5acf25c61429 /network/opera/opera.SlackBuild
parentc7083434c531beb867188af7bc79e99b2420decf (diff)
downloadslackbuilds-642d0fa784341d39a8ef761728ab6c401db41d69.tar.gz
network/opera: Initial import
Diffstat (limited to 'network/opera/opera.SlackBuild')
-rw-r--r--network/opera/opera.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/network/opera/opera.SlackBuild b/network/opera/opera.SlackBuild
new file mode 100644
index 0000000000..9243952bea
--- /dev/null
+++ b/network/opera/opera.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for opera
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=opera
+VERSION=9.21
+DATESTRING='20070510.6'
+ARCH=i386 # Leave this alone for opera
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION-$DATESTRING-shared-qt.i386-en.tar.bz2
+cd $(tar -tf $CWD/$PRGNAM-$VERSION-$DATESTRING-shared-qt.i386-en.tar.bz2 |head -1|tr -d \/)
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Fix the path for opera to detect mozilla plugins
+sed -i 's#/usr/X11R6/lib/mozilla/plugins=1#/usr/lib/mozilla/plugins=1#' \
+ ini/pluginpath.ini || return 1
+
+/bin/sh ./install.sh DESTDIR=$PKG
+
+# Include config files
+mkdir -p $PKG/etc
+cat config/opera6rc > $PKG/etc/opera6rc.new
+cat config/opera6rc.fixed > $PKG/etc/opera6rc.fixed.new
+
+# Add an opera.desktop file and link the icon to /usr/share/pixmaps
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $CWD/opera.desktop $PKG/usr/share/applications
+( cd $PKG/usr/share/pixmaps ; ln -s ../opera/images/opera.xpm opera.xpm )
+
+# Relocate man pages and docs
+mv $PKG/usr/share/man $PKG/usr/man
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/opera $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz